### Constructor

# Gtk.Shortcut.new_with_arguments

#### Declaration [src]

    GtkShortcut*
    gtk_shortcut_new_with_arguments (
      GtkShortcutTrigger* trigger,
      GtkShortcutAction* action,
      const char* format_string,
      ...
    )

#### Description [src]

Creates a new `GtkShortcut` that is triggered by `trigger` and then activates `action` with arguments given by `format_string`.

#### Parameters

`trigger` | `GtkShortcutTrigger`
| The trigger that will trigger the shortcut
| Can be `NULL`
| Ownership of the data is transferred to the callee
`action` | `GtkShortcutAction`
| The action that will be activated upon triggering
| Can be `NULL`
| Ownership of the data is transferred to the callee
`format_string` | `const char*`
| GVariant format string for arguments or `NULL` for no arguments
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`...` | ``
| arguments, as given by format string.

#### Return value

Returns: `GtkShortcut`
a new `GtkShortcut`
Ownership of the data is transferred to the caller